<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 1999-2022. Plesk International GmbH. All rights reserved. -->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">
	<xs:include schemaLocation="plesk_server.xsd"/>
	<xs:element name="packet">
		<xs:annotation>
			<xs:documentation>Root node for any of input</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:sequence maxOccurs="unbounded">
				<xs:annotation>
					<xs:documentation>Output</xs:documentation>
				</xs:annotation>
				<xs:choice>
					<xs:element name="server">
						<xs:annotation>
							<xs:documentation>Server operator</xs:documentation>
						</xs:annotation>
						<xs:complexType>
							<xs:choice maxOccurs="unbounded">
								<xs:element name="get_protos">
									<xs:annotation>
										<xs:documentation>Get supported PA protocols</xs:documentation>
									</xs:annotation>
									<xs:complexType>
										<xs:sequence>
											<xs:element name="result">
												<xs:complexType>
													<xs:complexContent>
														<xs:extension base="resultType">
															<xs:sequence minOccurs="0">
																<xs:element name="protos">
																	<xs:complexType>
																		<xs:sequence>
																			<xs:element name="proto" type="string" maxOccurs="unbounded"/>
																		</xs:sequence>
																	</xs:complexType>
																</xs:element>
															</xs:sequence>
														</xs:extension>
													</xs:complexContent>
												</xs:complexType>
											</xs:element>
										</xs:sequence>
									</xs:complexType>
								</xs:element>
								<xs:element name="get">
									<xs:annotation>
										<xs:documentation>Get operation</xs:documentation>
									</xs:annotation>
									<xs:complexType>
										<xs:sequence>
											<xs:element name="result">
												<xs:complexType>
													<xs:complexContent>
														<xs:extension base="resultType">
															<xs:choice minOccurs="0" maxOccurs="unbounded">
																<xs:element name="key" type="keyType"/>
																<xs:element name="gen_info" type="serverGenInfoType"/>
																<xs:element name="components" type="componentsType"/>
																<xs:element name="stat" type="statType"/>
																<xs:element name="admin" type="adminType"/>
																<xs:element name="interfaces" type="interfacesType"/>
																<xs:element name="services_state" type="servicesState"/>
																<xs:element name="prefs" type="serverPrefs"/>
																<xs:element name="shells">
																	<xs:complexType>
																		<xs:sequence>
																			<xs:element name="shell" type="shellType" maxOccurs="unbounded"/>
																		</xs:sequence>
																	</xs:complexType>
																</xs:element>
																<xs:element name="session_setup" type="serverSessionSetup"/>
															</xs:choice>
														</xs:extension>
													</xs:complexContent>
												</xs:complexType>
											</xs:element>
										</xs:sequence>
									</xs:complexType>
								</xs:element>
								<xs:element name="set">
									<xs:annotation>
										<xs:documentation>Setup server</xs:documentation>
									</xs:annotation>
									<xs:complexType>
										<xs:sequence>
											<xs:element name="result">
												<xs:complexType>
													<xs:complexContent>
														<xs:extension base="resultType"/>
													</xs:complexContent>
												</xs:complexType>
											</xs:element>
										</xs:sequence>
									</xs:complexType>
								</xs:element>
								<xs:element name="srv_man">
									<xs:annotation>
										<xs:documentation>Services management</xs:documentation>
									</xs:annotation>
									<xs:complexType>
										<xs:sequence>
											<xs:element name="result">
												<xs:complexType>
													<xs:complexContent>
														<xs:extension base="resultType">
															<xs:sequence>
																<xs:element name="id" type="srvIdType">
																	<xs:annotation>
																		<xs:documentation>Operated service ID</xs:documentation>
																	</xs:annotation>
																</xs:element>
															</xs:sequence>
														</xs:extension>
													</xs:complexContent>
												</xs:complexType>
											</xs:element>
										</xs:sequence>
									</xs:complexType>
								</xs:element>
								<xs:element name="lic_install">
									<xs:annotation>
										<xs:documentation>Reports license installation started</xs:documentation>
									</xs:annotation>
									<xs:complexType>
										<xs:sequence>
											<xs:element name="result" type="resultType"/>
										</xs:sequence>
									</xs:complexType>
								</xs:element>
								<xs:element name="initial_setup">
									<xs:annotation>
										<xs:documentation>Initial setup result</xs:documentation>
									</xs:annotation>
									<xs:complexType>
										<xs:sequence>
											<xs:element name="result">
												<xs:complexType>
													<xs:complexContent>
														<xs:extension base="resultType">
															<xs:sequence minOccurs="0">
																<xs:element name="server_name" type="xs:string">
																	<xs:annotation>
																		<xs:documentation>Since 1.3.5</xs:documentation>
																	</xs:annotation>
																</xs:element>
															</xs:sequence>
														</xs:extension>
													</xs:complexContent>
												</xs:complexType>
											</xs:element>
										</xs:sequence>
									</xs:complexType>
								</xs:element>
								<xs:element name="get_additional_key">
									<xs:complexType>
										<xs:sequence>
											<xs:element name="result" minOccurs="0" maxOccurs="unbounded">
												<xs:complexType>
													<xs:complexContent>
														<xs:extension base="resultType">
															<xs:sequence>
																<xs:element name="name" type="xs:string" minOccurs="0"/>
																<xs:element name="key_info" type="additionalKeyType" minOccurs="0"/>
															</xs:sequence>
														</xs:extension>
													</xs:complexContent>
												</xs:complexType>
											</xs:element>
										</xs:sequence>
									</xs:complexType>
								</xs:element>
								<xs:element name="set_misc">
									<xs:complexType>
										<xs:sequence>
											<xs:element name="result" type="miscResultType" minOccurs="0" maxOccurs="unbounded"/>
										</xs:sequence>
									</xs:complexType>
								</xs:element>
								<xs:element name="get_misc">
									<xs:complexType>
										<xs:sequence>
											<xs:element name="result" type="miscResultType" minOccurs="0" maxOccurs="unbounded"/>
										</xs:sequence>
									</xs:complexType>
								</xs:element>
								<xs:element name="del_misc">
									<xs:complexType>
										<xs:sequence>
											<xs:element name="result" type="miscResultType"/>
										</xs:sequence>
									</xs:complexType>
								</xs:element>
								<xs:element name="enable_ae">
									<xs:complexType>
										<xs:sequence>
											<xs:element name="result" type="resultType"/>
										</xs:sequence>
									</xs:complexType>
								</xs:element>
								<xs:element name="disable_ae">
									<xs:complexType>
										<xs:sequence>
											<xs:element name="result" type="resultType"/>
										</xs:sequence>
									</xs:complexType>
								</xs:element>
								<xs:element name="get_ae_params">
									<xs:complexType>
										<xs:sequence>
											<xs:element name="result">
												<xs:complexType>
													<xs:complexContent>
														<xs:extension base="resultType">
															<xs:sequence minOccurs="0">
																<xs:element name="params" type="aeParamsType"/>
															</xs:sequence>
														</xs:extension>
													</xs:complexContent>
												</xs:complexType>
											</xs:element>
										</xs:sequence>
									</xs:complexType>
								</xs:element>
								<xs:element name="create_session">
									<xs:complexType>
										<xs:sequence>
											<xs:element name="result">
												<xs:complexType>
													<xs:complexContent>
														<xs:extension base="resultType">
															<xs:sequence minOccurs="0">
																<xs:element name="id" type="xs:string"/>
															</xs:sequence>
														</xs:extension>
													</xs:complexContent>
												</xs:complexType>
											</xs:element>
										</xs:sequence>
									</xs:complexType>
								</xs:element>
							</xs:choice>
						</xs:complexType>
					</xs:element>
					<xs:element name="system" type="resultType">
						<xs:annotation>
							<xs:documentation>Result from PA system level</xs:documentation>
						</xs:annotation>
					</xs:element>
				</xs:choice>
				<xs:element name="output" type="garbageOutput" minOccurs="0">
					<xs:annotation>
						<xs:documentation>Debug garbage</xs:documentation>
					</xs:annotation>
				</xs:element>
			</xs:sequence>
			<xs:attribute name="version" type="string" use="required"/>
		</xs:complexType>
	</xs:element>
	<xs:complexType name="additionalKeyType">
		<xs:sequence>
			<xs:element name="number" type="xs:string"/>
			<xs:element name="name" type="xs:string"/>
			<xs:element name="active" type="xs:boolean"/>
			<xs:element name="license_update_date" type="xs:int" minOccurs="0"/>
			<xs:element name="lim_date" type="xs:int" minOccurs="0"/>
			<xs:element name="content" type="xs:base64Binary"/>
			<xs:element name="property" minOccurs="0" maxOccurs="unbounded">
				<xs:complexType>
					<xs:sequence>
						<xs:element name="name" type="xs:string"/>
						<xs:element name="value" type="xs:string"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="miscResultType">
		<xs:complexContent>
			<xs:extension base="resultType">
				<xs:sequence>
					<xs:element name="property" type="miscPropertyType"/>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="miscPropertyType">
		<xs:sequence>
			<xs:element name="name" type="miscPropertyNameType"/>
			<xs:element name="value" type="xs:string" minOccurs="0"/>
		</xs:sequence>
	</xs:complexType>
</xs:schema>
